%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

/*--Axis Labels--*/
ods graphics / reset antialiasmax=5300 width=4in height=3in imagename='Labels';
title 'Mortality by Cause';
proc sgplot data=sashelp.heart noautolegend nowall noborder;
  format systolic diastolic cholesterol 4.0;
  hbar deathcause / datalabel;
  yaxistable systolic diastolic cholesterol / stat=mean nostatlabel 
             location=inside valuehalign=center;
  yaxis display=(noticks) fitpolicy=splitalways colorbands=odd 
        labelposition=top valueattrs=(size=7) colorbandsattrs=(transparency=0.6);
  xaxis valueattrs=(size=7);
run;







