%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

data heart_Box;
  label chol='Cholesterol';
  set sashelp.heart(keep=cholesterol deathcause);
  chol=.;
  if deathcause in ('Cancer', 'Coronary Heart Disease') and 
     cholesterol < 300 and cholesterol > 200 and
     ranuni(2) < 0.7 then do;
    cholesterol=.;
        chol=10*ranuni(2);
  end;
run;

/*proc print;run;*/

/*--Box plot with missing data--*/
ods graphics / reset antialiasmax=5300 width=4in height=3in imagename='Box_Scatter';
title 'Cholesterol by Death Cause';
proc sgplot data=heart_Box noautolegend;
  vbox cholesterol / category=deathcause extreme;
  scatter x=deathcause y=chol / markerattrs=graphdata1(symbol=circlefilled) 
          transparency=0.5  name='s' jitter jitterwidth=0.5 legendlabel='Missing Data';
  keylegend 's' / location=inside position=topleft;
  xaxis display=(noticks nolabel);
  yaxis values=(100 to 500 by 100) min=0 valueshint;
run;







