%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

data broken;
  format value dollar12.;
  input cat $ value;
  datalines;
A  10
B  20
C  25
D  1240
;
run;
/**/
/*proc print;run;*/

ods graphics / reset noscale width=3in height=3in imagename='BrokenAxisNot';
title 'Value by Category';
proc sgplot data=broken nowall noborder;
  vbar cat / response=value;
  xaxis display=(nolabel);
  yaxis display=(nolabel) grid;
  run;

ods graphics / reset noscale width=3in height=3in imagename='BrokenAxisFull';
title 'Value by Category';
proc sgplot data=broken nowall noborder;
  vbar cat / response=value;
  xaxis display=(nolabel);
  yaxis display=(nolabel) grid ranges=(0-50 1190-1250) 
        values=(0 to 1250 by 20);
  run;

ods graphics / reset noscale width=3in height=3in imagename='BrokenAxisBracket';
title 'Value by Category';
proc sgplot data=broken nowall noborder;
  /*styleattrs axisbreak=bracket; SAS 9.40M3*/
  vbar cat / response=value;
  xaxis display=(nolabel);
  yaxis display=(nolabel) grid ranges=(0-50 1190-1250) values=(0 to 1250 by 20);
  run;







