%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

data heart;
  label BP='Blood Pressure';
  drop systolic diastolic;
  set sashelp.heart(keep=systolic diastolic);
  Type='Systolic'; BP=systolic; output;
  Type='Diastolic'; BP=diastolic; output;
run;
  
ods graphics / reset width=4in height=3in imagename='Hist_Group';
title 'Distribution of Blood Pressure';
proc sgplot data=heart nocycleattrs;
  histogram bp / group=type fillattrs=(color=white) nooutline;
  histogram bp / group=type transparency=0.5 name='a';
  keylegend 'a' / location=inside position=topright across=1 opaque;
  yaxis grid;
  run;







