%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=htmlblue image_dpi=&dpi gpath=&gpath; 

data Fund_Raising;
  format Items 2.0 Money dollar5.0;
  set sashelp.class(obs=6 keep=name sex age);
  Items=int(5+10*ranuni(2));
  Money=int(10+20*ranuni(2));
run;

/*ods html;*/
/*proc print;*/
/*var name sex age items money;*/
/*run;*/
/*ods html close;*/

data Area_Bar;
  label x='Cumulative Money Raised' y='Items Sold';
  retain prev 0 ylbl 0.4;
  set Fund_Raising;
  y=0; xlbl=prev + money/2;
  x=prev; output;
  xlbl=.;
  x=prev+money; output;
  y=items; output;
  x=prev; output;
  prev+money;
run;
/**/
/*ods html;*/
/*proc print;*/
/*var name sex items money x y xlbl ylbl;*/
/*run;*/
/*ods html close;*/

/*options debug=none;*/
/*--Fund Raising--*/
ods listing style=Analysis;
ods graphics / reset width=5in height=3in imagename='Fung_Raising_SG_94';
title 'Items Sold and Funds Raised by each Student, and Total';
proc sgplot data=Area_Bar;
  polygon id=name x=x y=y / group=sex fill dataskin=sheen label=money
          labelattrs=(color=black size=10) labelpos=ymax name='a';
  text x=xlbl y=ylbl text=name / position=top textattrs=(size=10);
  xaxis offsetmin=0 offsetmax=0 grid;
  yaxis offsetmin=0 integer grid;
  keylegend 'a' / location=inside position=topleft across=1;
run;







