%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

data cars;
  set sashelp.cars(where=(type ne 'Wagon' and origin ne 'USA'));
run;

/*--Proportional Panel--*/
ods graphics / reset antialiasmax=5300 width=4in height=3in imagename='Proportional';
title 'Vehicle Counts by Origin and Type';
proc sgpanel data=cars noautolegend;
  panelby origin / columns=3 proportional uniscale=row novarname noheader;
  vbar type / dataskin=gloss group=type;
  rowaxis display=(nolabel noticks) grid;
  colaxis display=(nolabel noticks);
  inset origin / nolabel position=topleft textattrs=(size=10);
run;







