%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

data stacked;
  format Sales dollar8.0;
  do Cat='A', 'B', 'C';
    do Group='X', 'Y', 'Z';
          Sales=int(5+5*ranuni(2));
          output;
        end;
  end;
run;

/*--Gradient--*/
ods graphics / reset width=4in height=3in imagename='Seg_Label';
title 'Sales by Category and Group';
proc sgplot data=stacked nowall noborder;
  vbar cat / response=Sales group=group stat=sum nostatlabel fillattrs=(transparency=0.5) 
             seglabel datalabel outlineattrs=graphoutlines;
  xaxis display=(nolabel);
run;







