%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

/*--Generate data--*/
data spaghetti;
  pi=constant("PI");
  length Location $ 8 case $4;
  label y='Adoption Rate' x='Days';

  a1=10; a2=5; d1=0.2; v=1;
  Location='USA'; Year=2013; 
  do id=1 to 6;
    if mod(id, 2)=0 then case='Even'; else case='Odd';
    do x=1 to 500 by 5;
      y=a1*sin(x*pi/180)+a2*sin(2*x*pi/180+d1)-v*id +30;
          output;
        end;
  end;

  Location='USA'; Year=2014; 
  do id=7 to 12;
    if mod(id, 2)=0 then case='Even'; else case='Odd';
    do x=1 to 500 by 5;
      y=a1*sin(x*pi/180)+a2*sin(2*x*pi/180+d1)-v*id +30 -2;
          output;
        end;
  end;

  a1=10; a2=3; d1=0.4; v=0.8; 
  Location='Europe'; Year=2013; 
  do id=13 to 18;
    if mod(id, 2)=0 then case='Even'; else case='Odd';
    do x=1 to 500 by 5;
      y=a1*cos(x*pi/180)+a2*cos(2*x*pi/180+d1)-v*id +30;
          output;
        end;
  end;

  Location='Europe'; Year=2014; 
  do id=19 to 24;
    if mod(id, 2)=0 then case='Even'; else case='Odd';
    do x=1 to 500 by 5;
      y=a1*cos(x*pi/180)+a2*cos(2*x*pi/180+d1)-v*id +30 -2;
          output;
        end;
  end;
run;

/*--Shaghetti Plot--*/
ods graphics / reset antialiasmax=5300 width=4in height=3in imagename='Spaghetti';
title 'Adoption Rate by Days for Location and Year';
proc sgplot data=spaghetti;
  series x=x y=y / group=id grouplc=location grouplp=year name='a';
  keylegend 'a' / type=linecolor location=inside position=top;
  keylegend 'a' / type=linepattern linelength=24;
  xaxis display=(nolabel);
run;







