%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 


data Books;
  format Sales dollar8. Count comma12.;
  input Author $1-20 Book $21-45;
  Sales=int(50+50*ranuni(2));
  Count=100000*int(50+50*ranuni(2));
  datalines;
David Baldacci      The Camel Club             
David Baldacci      Deliver Us From Evil  
John Grisham        A Time To Kill        
John Grisham        The Pelical Brief     
Stephen King        The Running Man        
Stephen King        The Eyes of the Dragon     
;
run;
/*proc print;run;*/

ods graphics / reset width=3.6in height=2in imagename='Books_Bubble';
title ' Sales by Book and Author';
proc sgplot data=Books;
  bubble x=Book y=author size=sales / dataskin=gloss;
  yaxis display=(nolabel) fitpolicy=splitalways splitjustify=left;
  xaxis display=(nolabel) discreteorder=data;
  run;

ods listing style=analysis;
ods graphics / reset width=2in height=2in imagename='Books_Bar';
title 'Sales and Count by Author';
proc sgplot data=Books;
  vbar author / response=sales dataskin=gloss datalabel=count nostatlabel;
  xaxis display=(nolabel) valueattrs=(size=7) discreteorder=data;
  run;




