%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=htmlblue image_dpi=&dpi gpath=&gpath; 

/*--Default graph with HTMLBlue--*/
ods graphics / reset width=5in height=3in imagename='StyleAttrs_HTMLBLue_SG_94';
title 'Vehicle Performance';
proc sgplot data=sashelp.cars(where=(type in ('Sedan' 'SUV' 'Sports'))) noautolegend;
  scatter x=horsepower y=mpg_city / group=type name='a';
  reg x=horsepower y=mpg_city / degree=2 group=type name='b';
  keylegend 'a';
  keylegend 'b' / location=inside position=topright across=1 linelength=20;
run;

/*--Graph with attrpriority=none--*/
ods graphics / reset attrpriority=none width=5in height=3in imagename='StyleAttrs_None_SG_94';
title 'Vehicle Performance';
proc sgplot data=sashelp.cars(where=(type in ('Sedan' 'SUV' 'Sports'))) noautolegend;
  scatter x=horsepower y=mpg_city / group=type name='a';
  reg x=horsepower y=mpg_city / degree=2 group=type name='b';
  keylegend 'a';
  keylegend 'b' / location=inside position=topright across=1 linelength=30;
run;

/*--Graph with StyleAttrs--*/
ods graphics / reset attrpriority=none width=5in height=3in imagename='StyleAttrs_Symbols_SG_94';
title 'Vehicle Performance';
proc sgplot data=sashelp.cars(where=(type in ('Sedan' 'SUV' 'Sports'))) noautolegend;
  styleattrs datasymbols=(circlefilled trianglefilled diamondfilled);
  scatter x=horsepower y=mpg_city / group=type name='a' filledoutlinedmarkers;
  reg x=horsepower y=mpg_city / degree=2 group=type name='b' nomarkers;
  keylegend 'a';
  keylegend 'b' / location=inside position=topright across=1 linelength=30;
run;

/*--AttrMap--*/
data attrmap;
  length Value $10 MarkerSymbol $15;
  Id='Cars'; 
  Value='Sedan';  MarkerStyleElement='GraphData1'; MarkerSymbol='CircleFilled'; 
  FillStyleElement='GraphData1'; LineStyleElement='GraphData1'; output;
  Value='Sports'; MarkerStyleElement='GraphData2'; MarkerSymbol='TriangleFilled'; 
  FillStyleElement='GraphData2'; LineStyleElement='GraphData2'; output;
  Value='SUV';    MarkerStyleElement='GraphData3'; MarkerSymbol='DiamondFilled'; 
  FillStyleElement='GraphData3'; LineStyleElement='GraphData3'; output;
run;
/*proc print;run;*/

/*--Graph with AttrMap--*/
options debug=none;
ods graphics / reset attrpriority=none width=5in height=3in imagename='StyleAttrs_AttrMap_SG_94';
title 'Vehicle Performance';
proc sgplot data=sashelp.cars(where=(type in ('Sedan' 'SUV' 'Sports'))) dattrmap=attrmap noautolegend;
  scatter x=horsepower y=mpg_city / group=type name='a'  filledoutlinedmarkers attrid=Cars;
  reg x=horsepower y=mpg_city / degree=2 group=type name='b' nomarkers;
  keylegend 'a';
  keylegend 'b' / location=inside position=topright across=1 linelength=30;
run;








