%let gpath='.';
%let dpi=300;
ods html close;
ods listing style=listing image_dpi=&dpi gpath=&gpath; 

data bars;
  length Status $6;
  input Cat $ Sex $ Sales;
  loc=Sales-10;
  if Sales GE 100 then Status='Great';
  else if Sales GE 60 then Status='Good';
  else Status='Poor';
  if Sales=120 then do;
    Ribbon=1; rloc=80;
  end;
  datalines;
Pat   Female  100
Bob   Male     80
Cody  Male     50
Sue  Female  120
Val  Female   70
;
run;
/*proc print;run;*/

/*--Fund Raising--*/
ods graphics / reset width=5in height=3in imagename='Symbols_SG_94';
title 'Sales and Status by Category';
proc sgplot data=bars;
  symbolimage name=Great image="C:\VeryHappy_Tran.png";
  symbolimage name=Good  image="C:\Happy_Tran.png";
  symbolimage name=Poor  image="C:\Sad_Tran.png";
  symbolimage name=Ribbon  image="C:\Blue_Ribbon_Tran.png" /
               rotate=15;
  styleattrs datasymbols=(Great Good Poor Ribbon) datacolors=(pink cx7f7faf);
  vbarparm category=cat response=Sales / fillattrs=(color=white);
  vbarparm category=cat response=Sales / group=sex dataskin=gloss groupdisplay=cluster filltype=gradient;
  scatter x=cat y=loc / group=status markerattrs=(size=30) dataskin=crisp;
  scatter x=cat y=rloc / group=ribbon discreteoffset=0.25 markerattrs=(symbol=Ribbon size=80) 
          dataskin=crisp;
  xaxis display=(nolabel noticks) offsetmin=0.1 offsetmax=0.1;
  yaxis offsetmin=0 offsetmax=0.1 grid;
run;







